Manjaro KDE Edition
   457

Выскакивает error: failed to prepare transaction (could not satisfy dependencies)

Приветствую!

При попытке обновления выдаёт error: failed to prepare transaction (could not satisfy dependencies)

sudo pacman -Su
:: Starting full system upgrade…
:: Replace calligra-filters with extra/calligra? [Y/n] y
:: Replace calligra-karbon with extra/calligra? [Y/n] y
:: Replace calligra-l10n-ru with extra/calligra? [Y/n] y
:: Replace calligra-libs with extra/calligra? [Y/n] y
:: Replace calligra-plugins with extra/calligra? [Y/n] y
:: Replace kdebase-kdialog with extra/kdialog? [Y/n] y
:: Replace kdebase-keditbookmarks with extra/keditbookmarks? [Y/n] y
:: Replace kdebase-kfind with extra/kfind? [Y/n] y
:: Replace kdegraphics-okular with extra/okular? [Y/n] y
:: Replace konsolekalendar with extra/akonadi-calendar-tools? [Y/n] y
:: Replace ktnef with extra/kmail? [Y/n] y
:: Replace libastro with extra/marble? [Y/n] y
resolving dependencies…
looking for conflicting packages…
:: calligra and calligra-braindump are in conflict. Remove calligra-braindump? [y/N] y
:: marble and libmarble4 are in conflict. Remove libmarble4? [y/N] y
:: kmail-account-wizard and kdepim-common are in conflict. Remove kdepim-common? [y/N] y
:: xorg-server and xf86-input-acecad are in conflict (X-ABI-XINPUT_VERSION). Remove xf86-input-acecad? [y/N] y
:: xorg-server and xf86-input-joystick are in conflict (X-ABI-XINPUT_VERSION). Remove xf86-input-joystick? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: libkgeomap4: removing libmarble4 breaks dependency 'libmarble4'

3 комментария

avatar
sudo pacman -Syyu и на вопрос ":: Replace libastro with extra/marble? [Y/n]" ответьте N
После обновления системы отдельно разберетесь с астрологией-астрономией…
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
ВЫыдаёт

sudo pacman -Syyu
[sudo] password for alex:
:: Synchronizing package databases…
core 142,4 KiB 8,18M/s 00:00 [#######################################################################################] 100%
extra 1895,2 KiB 10,9M/s 00:00 [#######################################################################################] 100%
community 4,1 MiB 10,5M/s 00:00 [#######################################################################################] 100%
multilib 195,2 KiB 11,2M/s 00:00 [#######################################################################################] 100%
:: Starting full system upgrade…
:: Replace calligra-filters with extra/calligra? [Y/n] y
:: Replace calligra-karbon with extra/calligra? [Y/n] y
:: Replace calligra-l10n-ru with extra/calligra? [Y/n] y
:: Replace calligra-libs with extra/calligra? [Y/n] y
:: Replace calligra-plugins with extra/calligra? [Y/n] y
:: Replace kdebase-kdialog with extra/kdialog? [Y/n] y
:: Replace kdebase-keditbookmarks with extra/keditbookmarks? [Y/n] y
:: Replace kdebase-kfind with extra/kfind? [Y/n] y
:: Replace kdegraphics-okular with extra/okular? [Y/n] y
:: Replace konsolekalendar with extra/akonadi-calendar-tools? [Y/n] y
:: Replace ktnef with extra/kmail? [Y/n] y
:: Replace libastro with extra/marble? [Y/n] n
resolving dependencies…
looking for conflicting packages…
:: calligra and calligra-braindump are in conflict. Remove calligra-braindump? [y/N] y
:: marble and libastro are in conflict. Remove libastro? [y/N] N
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: marble and libastro are in conflict
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.